Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ImageCodec::ImageData Class Reference

Codec return class for images. More...

`#include <OgreImageCodec.h>`

Inheritance diagram for Ogre::ImageCodec::ImageData:

[legend]
List of all members.

## Public Methods

String | dataType () const
| Returns the type of the data.

## Public Attributes

uint | height
uint | width
uint | size
uint | depth
ushort | num_mipmaps
uint | flags
PixelFormat | format

## Detailed Description

Codec return class for images.

Has imformation about the size and the pixel format of the image.

Definition at line 44 of file OgreImageCodec.h.

## Member Function Documentation

String Ogre::ImageCodec::ImageData::dataType | ( |  | ) | const`[virtual]`

| Returns the type of the data. Reimplemented from Ogre::Codec::CodecData. Definition at line 57 of file OgreImageCodec.h. References Ogre::String.

## Member Data Documentation

uint Ogre::ImageCodec::ImageData::depth

| Definition at line 50 of file OgreImageCodec.h. Referenced by Ogre::Image::load().

uint Ogre::ImageCodec::ImageData::flags

| Definition at line 52 of file OgreImageCodec.h. Referenced by Ogre::Image::load().

PixelFormat Ogre::ImageCodec::ImageData::format

| Definition at line 54 of file OgreImageCodec.h. Referenced by Ogre::Image::load(), Ogre::Image::save(), Ogre::Win32Window::writeContentsToFile(), Ogre::SDLWindow::writeContentsToFile(), Ogre::GLXWindow::writeContentsToFile(), Ogre::D3D9RenderWindow::writeContentsToFile(), and Ogre::D3D7RenderWindow::writeContentsToFile().

uint Ogre::ImageCodec::ImageData::height

| Definition at line 47 of file OgreImageCodec.h. Referenced by Ogre::Image::load(), Ogre::Image::save(), Ogre::Win32Window::writeContentsToFile(), Ogre::SDLWindow::writeContentsToFile(), Ogre::GLXWindow::writeContentsToFile(), Ogre::D3D9RenderWindow::writeContentsToFile(), and Ogre::D3D7RenderWindow::writeContentsToFile().

ushort Ogre::ImageCodec::ImageData::num_mipmaps

| Definition at line 51 of file OgreImageCodec.h. Referenced by Ogre::Image::load().

uint Ogre::ImageCodec::ImageData::size

| Definition at line 49 of file OgreImageCodec.h. Referenced by Ogre::Image::load().

uint Ogre::ImageCodec::ImageData::width

| Definition at line 48 of file OgreImageCodec.h. Referenced by Ogre::Image::load(), Ogre::Image::save(), Ogre::Win32Window::writeContentsToFile(), Ogre::SDLWindow::writeContentsToFile(), Ogre::GLXWindow::writeContentsToFile(), Ogre::D3D9RenderWindow::writeContentsToFile(), and Ogre::D3D7RenderWindow::writeContentsToFile().

The documentation for this class was generated from the following file:

- OgreImageCodec.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:07 2004